%define		_status		stable
%define		_pearname	XML_Parser
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - XML parsing class based on PHP's bundled expat
Summary(pl.UTF-8):	%{_pearname} - klasa analizującą XML przy użyciu expat
Name:		php-pear-%{_pearname}
Version:	1.3.6
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2da22a4152464489989dddd1d8f32eb6
URL:		http://pear.php.net/package/XML_Parser/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-XML_Parser-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an XML parser based on PHP's built-in xml extension. It
supports two basic modes of operation: "func" and "event". In "func"
mode, it will look for a function named after each element
(xmltag_ELEMENT for start tags and xmltag_ELEMENT_ for end tags), and
in "event" mode it uses a set of generic callbacks.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet zawiera klasę analizującą XML opartą na wbudowanym w PHP
rozszerzeniu xml. Klasa ta obsługuje dwa podstawowe tryby pracy:
"func" oraz "event". W trybie "func" szuka funkcji o nazwach
odpowiadających każdemu elementowi (xmltag_ELEMENT dla znaczników
początkowych i xmltag_ELEMENT_ dla znaczników końcowych), natomiast w
trybie "event" używa zestawu ogólnych callbacków.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/*.php
%{php_pear_dir}/XML/Parser
%changelog
* Thu Oct 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-XML_Parser.git;a=log;h=master

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> a446d66
- up to 1.3.6

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 497a878
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> d80d812
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 18a180f
- updated to: 1.3.4

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 52da2ec
- updated to 1.3.2

* Tue Sep 16 2008 Adam Gołębiowski <adamg@pld-linux.org> 121d05a
- updated to 1.3.1

* Sat Aug 30 2008 Adam Gołębiowski <adamg@pld-linux.org> d46b345
- updated to 1.3.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> eb5d03a
- rel 3

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> b9a1293
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0fa8b2d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1fc0173
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 3f97b44
- updated to 1.2.8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 71c6247
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 6149b01
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> b331c97
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 9d3c11e
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> f18251b
- AutoReq: no for -tests

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> c8c5708
- rel 3

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> c8b1921
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 6609be5
- semi automatically added deps from pear

